/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.exception;

public class ComplexUserArrayException extends Exception
{
   private int[] errorCodes;

   /** Constructor used by wscompile */
   public ComplexUserArrayException(String message, int[] errorCodes)
   {
      super(message);
      this.errorCodes = errorCodes;
   }

   /** Constructor used by the marshalling layer */
   public ComplexUserArrayException(String message)
   {
      super(message);
   }

   public int[] getErrorCodes()
   {
      return errorCodes;
   }

   public void setErrorCodes(int[] errorCodes)
   {
      this.errorCodes = errorCodes;
   }
}
